com.holonplatform.vaadin.flow.components.builders

## Interface BeanListingConfigurator<T,C extends BeanListingConfigurator<T,C>>

- Type Parameters:
    `T` - Bean type
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<C>, ComponentGroupConfigurator<String,T,Input<?>,ItemListing.EditorComponentGroup<String,T>,C>, FocusableConfigurator<com.vaadin.flow.component.Component,C>, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, HasThemeVariantConfigurator<com.vaadin.flow.component.grid.GridVariant,C>, InputGroupConfigurator<String,T,ItemListing.EditorComponentGroup<String,T>,C>, InputGroupConfigurator.BeanInputGroupConfigurator<T,ItemListing.EditorComponentGroup<String,T>,C>, ItemListingConfigurator<T,String,BeanListing<T>,C>
  All Known Subinterfaces:
    BeanListingBuilder<T>, BeanListingBuilder.DatastoreBeanListingBuilder<T>

      public interface BeanListingConfigurator<T,C extends BeanListingConfigurator<T,C>>
      extends ItemListingConfigurator<T,String,BeanListing<T>,C>, InputGroupConfigurator.BeanInputGroupConfigurator<T,ItemListing.EditorComponentGroup<String,T>,C>

  `BeanListing` configurator.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator

      `ItemListingConfigurator.ColumnAlignment, ItemListingConfigurator.EditableItemListingRow<P>, ItemListingConfigurator.EditableItemListingSection<P>, ItemListingConfigurator.ItemListingColumnBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>, ItemListingConfigurator.ItemListingColumnConfigurator<T,P,C extends ItemListingConfigurator.ItemListingColumnConfigurator<T,P,C>>, ItemListingConfigurator.ItemListingContextMenuBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `InputGroupConfigurator.BeanInputGroupConfigurator<T,G extends BoundComponentGroup<String,Input<?>>,C extends InputGroupConfigurator.BeanInputGroupConfigurator<T,G,C>>, InputGroupConfigurator.PropertySetInputGroupConfigurator<G extends BoundComponentGroup<com.holonplatform.core.property.Property<?>,Input<?>>,C extends InputGroupConfigurator.PropertySetInputGroupConfigurator<G,C>>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `editor(String property, Input<?> editor)` Set the `Input` to use as given `property` column editor, when a listing row is in edit mode.
    `default <V,F extends com.vaadin.flow.component.Component & com.vaadin.flow.component.HasValue<?,V>> C` | `editorField(String property, F field)` Set the `HasValue` component to use as given `property` column editor, when a listing row is in editable mode.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator

      `alignment, columnReorderingAllowed, componentRenderer, contextMenu, displayAfter, displayAsFirst, displayAsLast, displayBefore, editable, editable, editorBuffered, editorComponent, editorComponent, expand, flexGrow, footer, footer, footer, footer, footerComponent, frozen, frozen, frozenColumns, header, header, header, header, headerComponent, heightByRows, hidden, itemDetailsComponent, itemDetailsRenderer, itemDetailsText, itemDetailsVisibleOnClick, multiSelect, multiSort, notSelectable, pageSize, readOnly, renderer, resizable, resizable, selectionMode, singleSelect, sortable, sortable, sortComparator, sortProvider, sortUsing, sortUsing, valueProvider, verticalScrollingEnabled, visible, visibleColumns, visibleColumns, width, withColumn, withComponentColumn, withEditorCancelListener, withEditorCloseListener, withEditorOpenListener, withEditorSaveListener, withItemClickListener, withItemRefreshListener, withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasThemeVariantConfigurator

      `withThemeVariants`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator.BeanInputGroupConfigurator

      `defaultValue, withValidator, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `enableRefreshOnValueChange, groupValidationStatusHandler, required, required, required, required, validationStatusHandler, validationStatusHandler, validationStatusLabel, withPostProcessor, withValidator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentGroupConfigurator

      `usePropertyRendererRegistry, withValueChangeListener`

- - ### Method Detail

    - #### editor

          C editor(String property,
                   Input<?> editor)

      Set the `Input` to use as given `property` column editor, when a listing row is in edit mode.
      Parameters:
        `property` - The property for which to set the editor (not null)
        `editor` - The property `Input` editor (not null)
      Returns:
        this

    - #### editorField

          default <V,F extends com.vaadin.flow.component.Component & com.vaadin.flow.component.HasValue<?,V>> C editorField(String property,
                                                                                                                            F field)

      Set the `HasValue` component to use as given `property` column editor, when a listing row is in editable mode.
      Type Parameters:
        `V` - HasValue value type
        `F` - HasValue type
      Parameters:
        `property` - The property for which to set the editor (not null)
        `field` - The `HasValue` component to use as property editor (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.